PipeWire 1.4.5 |

Loading...
Searching...
No Matches
Data Fields
pw_impl_device_events Struct Reference
Implementation API » Device Impl

Device events, listen to them with pw_impl_device_add_listener. More...

`#include <pipewire/impl-device.h>`

## Data Fields
uint32_t | version
void(* | destroy )(void *data)
| the device is destroyed
void(* | free )(void *data)
| the device is freed
void(* | initialized )(void *data)
| the device is initialized
void(* | info_changed )(void *data, const struct pw_device_info *info)
| the device info changed

## Detailed Description

Device events, listen to them with pw_impl_device_add_listener.

## Field Documentation

## ◆ version

uint32_t pw_impl_device_events::version

## ◆ destroy

void(* pw_impl_device_events::destroy) (void *data)

the device is destroyed

## ◆ free

void(* pw_impl_device_events::free) (void *data)

the device is freed

## ◆ initialized

void(* pw_impl_device_events::initialized) (void *data)

the device is initialized

## ◆ info_changed

void(* pw_impl_device_events::info_changed) (void *data, const struct pw_device_info *info)

the device info changed

The documentation for this struct was generated from the following file:

- pipewire/impl-device.h